<template>
    <v-card width="300px">
        <v-list>
            <NavListItem title="Cart" route="orders" icon="mdi-cart"/>
            <NavListItem title="Dark theme" icon="brightness_5" :hasRoute=false>
                <v-switch inset v-model="dark"></v-switch>
            </NavListItem>
            <NavListItem title="Account settings" route="account" icon="manage_accounts"/>
            <v-btn block large @click="logout" v-if="this.$store.getters.loggedIn"> <v-icon left>logout</v-icon> Sign out</v-btn>
        </v-list>
    </v-card>
</template>

<script>
import NavListItem from './NavListItem'

export default {
    name: "AccountMenu",
    components: {	
		NavListItem
	},
    data(){ 
        return {
			dark: this.$store.state.dark
		}},
    methods:{
        logout(){
            this.$store.dispatch("logout")
            if(this.$router.currentRoute.meta.authRequired){
                this.$router.push("/")
            }
            this.$emit("close")
        }
    },
    watch: {
      dark(newValue){
          var vm = this;
          this.$store.dispatch('set_theme', {dark: newValue, vm})
      }
    },
};
</script>